Qwen Image Images
curl --request POST \
--url https://api.acedata.cloud/qwen-image/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen-image-3.0",
"prompt": "A simple red circle centered on a clean white background."
}
'import requests
url = "https://api.acedata.cloud/qwen-image/images"
payload = {
"model": "qwen-image-3.0",
"prompt": "A simple red circle centered on a clean white background."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'qwen-image-3.0',
prompt: 'A simple red circle centered on a clean white background.'
})
};
fetch('https://api.acedata.cloud/qwen-image/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "565a7f55-72c6-43ed-b274-268ff046e5b4",
"trace_id": "bb923cec-1550-43b4-8df2-288ac0977b4b",
"data": [
{
"image_url": "https://cdn.acedata.cloud/assets/examples/qwen-image/40d5c76b-2f84-4b04-9ea0-b706417ae622-bac6a9e9de22.png"
}
],
"usage": {
"input_image_count": 0,
"input_image_type": "qima_input_1k",
"output_height": 1024,
"output_image_count": 1,
"output_image_type": "qima_output_1k",
"output_width": 1024
},
"cost": {
"amount": 0.322,
"currency": "credit",
"list_amount": 0.35
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "request_too_large",
"message": "Request body is too large."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Qwen Image Images
POST
/
qwen-image
/
images
Qwen Image Images
curl --request POST \
--url https://api.acedata.cloud/qwen-image/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen-image-3.0",
"prompt": "A simple red circle centered on a clean white background."
}
'import requests
url = "https://api.acedata.cloud/qwen-image/images"
payload = {
"model": "qwen-image-3.0",
"prompt": "A simple red circle centered on a clean white background."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'qwen-image-3.0',
prompt: 'A simple red circle centered on a clean white background.'
})
};
fetch('https://api.acedata.cloud/qwen-image/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "565a7f55-72c6-43ed-b274-268ff046e5b4",
"trace_id": "bb923cec-1550-43b4-8df2-288ac0977b4b",
"data": [
{
"image_url": "https://cdn.acedata.cloud/assets/examples/qwen-image/40d5c76b-2f84-4b04-9ea0-b706417ae622-bac6a9e9de22.png"
}
],
"usage": {
"input_image_count": 0,
"input_image_type": "qima_input_1k",
"output_height": 1024,
"output_image_count": 1,
"output_image_type": "qima_output_1k",
"output_width": 1024
},
"cost": {
"amount": 0.322,
"currency": "credit",
"list_amount": 0.35
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "request_too_large",
"message": "Request body is too large."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}التفويضات
API token from https://platform.acedata.cloud
الترويسات
Qwen Image Images Param Accept
الخيارات المتاحة:
application/json الجسم
application/json
Qwen Image Images Model
الخيارات المتاحة:
qwen-image-3.0, qwen-image-3.0-pro Qwen Image Images Prompt
Required string length:
1 - 18000Qwen Image Images Image Urls
Required array length:
1 - 3 elementsQwen Image Images N
النطاق المطلوب:
1 <= x <= 6Qwen Image Images Size
Pattern:
^[0-9]+\*[0-9]+$مثال:
"1024*1024"
Qwen Image Images Prompt Extend
Qwen Image Images Prompt Extend Mode
الخيارات المتاحة:
direct, agent Qwen Image Images Enable Thinking
Qwen Image Images Negative Prompt
Qwen Image Images Seed
النطاق المطلوب:
0 <= x <= 2147483647Qwen Image Images Watermark
Qwen Image Images Callback Url
Qwen Image Images Async
الاستجابة
Qwen Image Images Response 200
Qwen Image Images Response 200 Success
Qwen Image Images Response 200 Task Id
Qwen Image Images Response 200 Trace Id
Qwen Image Images Response Data
Show child attributes
Show child attributes
Qwen Image Images Response Usage
Qwen Image Images Response Cost
Show child attributes
Show child attributes
هل كانت هذه الصفحة مفيدة؟

